DROP TABLE IF EXISTS repocop;

CREATE TABLE repocop (
  name varchar(100) binary NOT NULL default '',
  version varchar(80) NOT NULL default '',
  rel varchar(40) NOT NULL default '',
  arch varchar(10) NOT NULL default 'i586',
  srcname varchar(100) binary NOT NULL default '',
  srcversion varchar(80) NOT NULL default '',
  srcrel varchar(40) NOT NULL default '',
  testname varchar(120) NOT NULL default '',
  status enum('skip','ok','experimental','info','warn','fail') NOT NULL default 'skip',
  message mediumtext,
  KEY  (name(20)),
  KEY testname (testname(30)),
  KEY srcname (srcname(20))
) TYPE=MyISAM;

DROP TABLE IF EXISTS repocop_patches;

CREATE TABLE repocop_patches (
  name varchar(100) binary NOT NULL default '',
  version varchar(80) NOT NULL default '',
  rel varchar(40) NOT NULL default '',
  url varchar(200) NOT NULL default '',
  KEY name (name(20))
) TYPE=MyISAM;

DROP TABLE IF EXISTS repocop_tests;

CREATE TABLE repocop_tests (
  name varchar(100) NOT NULL default '',
  type varchar(100) NOT NULL default '',
  url varchar(200) NOT NULL default '',
  description mediumtext,
  KEY name (name(20))
) TYPE=MyISAM;

